aboutsummaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 5fb8c43a6..a899970fe 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -150,6 +150,8 @@ MCP_CMP_SS=${MCP_CMP_SS:-0}
source "${DEPLOY_DIR}/globals.sh"
source "${DEPLOY_DIR}/lib.sh"
source "${DEPLOY_DIR}/lib_template.sh"
+source "${DEPLOY_DIR}/lib_jump_common.sh"
+source "${DEPLOY_DIR}/lib_jump_deploy.sh"
#
# END of variables to customize
@@ -246,7 +248,7 @@ pushd "${DEPLOY_DIR}" > /dev/null
# Install required packages on jump server
sudo mkdir -p "${MCP_STORAGE_DIR}"
-sudo chown "${USER}:${USER}" "${MCP_STORAGE_DIR}"
+sudo chown -R "${USER}:${USER}" "${MCP_STORAGE_DIR}"
if [ ${USE_EXISTING_PKGS} -eq 1 ]; then
notify "[NOTE] Skipping distro pkg installation" 2
else
@@ -256,7 +258,7 @@ else
virtinst_install "${MCP_STORAGE_DIR}"
fi
-if ! virsh list >/dev/null 2>&1; then
+if ! ${VIRSH} list >/dev/null 2>&1; then
notify_e "[ERROR] This script requires hypervisor access"
fi